package com.qmth.distributed.print.business.bean.flow;

import com.qmth.distributed.print.business.entity.TFCustomFlow;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;
import java.util.Objects;

/**
 * @Description: 自定义流程edit dto
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2022/1/21
 */
public class CustomFlowEditDto extends CustomFlowPropDto implements Serializable {

    @ApiModelProperty(value = "流程节点内容")
    List<CustomFlowCommonDto> customFlowLists;

    public CustomFlowEditDto() {

    }

    public CustomFlowEditDto(TFCustomFlow tfCustomFlow, List<CustomFlowCommonDto> customFlowLists) {
        super(tfCustomFlow);
        this.customFlowLists = customFlowLists;
    }

    public List<CustomFlowCommonDto> getCustomFlowLists() {
        return customFlowLists;
    }

    public void setCustomFlowLists(List<CustomFlowCommonDto> customFlowLists) {
        this.customFlowLists = customFlowLists;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        CustomFlowEditDto that = (CustomFlowEditDto) o;
        return type == that.type && schoolId.equals(that.schoolId);
    }

    @Override
    public int hashCode() {
        return Objects.hash(type, schoolId);
    }

    @Override
    public String toString() {
        return "CustomFlowEditDto{" +
                "type=" + type +
                ", schoolId=" + schoolId +
                '}';
    }
}
